@charset "UTF-8";

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Helvetica Neue","Arial","Hiragino Sans",
    "Hiragino Kaku Gothic ProN","Meiryo","sans-serif";
    padding: 0 16px;
    overflow-x: hidden;
}

header {
    position: relative;
    width: 100%;
}

header img {
    width: 100%;
}

h1 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

h1 img {
    max-width: 100%;
}

ul.tab {
    position: absolute;
    top: 0;
    right: 10px;
    display: flex;
    justify-content: end;
}

li.tab{
    list-style: none;
    color: white;
    margin: 10px;
}

li.tab:hover {
    color: #e03131;
    transition: 0.3s;
}

#menu {
    background-image: url(../img/menu.jpg);
    background-size: cover;
    text-align: center;
    margin: 10px 0 20px 0;
    color: white;
    font-size: 100px;
    background-attachment: fixed;
    padding: 40px 0;
}

.wrapper {
    max-width: 1000px;
    padding-left: 16px;
    padding-right: 16px;
}

table {
    position: relative;
    margin: 5% 20% 10% 30%;
    table-layout: fixed;
    width: 100%;
}

span {
    padding-left: 60%;
    border-bottom: dotted 1px black;
}

th {
    text-align: center;
    text-decoration: underline solid 5px #e03131;
    font-size: 20px;
    padding: 30px;
}

td p {
    padding-top: 10px;
}

.left {
    padding-left: 60px;
}

.food {
    display: inline-block;
    border-bottom: 5px solid #e03131;
}

.other {
    display: inline-block;
    text-align: end;
    border-bottom: 5px solid #e03131;
    display: inline-block;
}

.right-line {
    margin-right: 5%;
    border-right: dotted 1px black;
}

#about {
    background-image: url(../img/about.jpg);
    background-size: cover;
    text-align: center;
    margin: 10px 0 20px 0;
    color: white;
    font-size: 100px;
    background-attachment: fixed;
    padding: 40px 0;
}

.coffee-sub {
    font-size: 30px;
    text-align: center;
    padding: 80px 100% 0 70%;
    text-decoration: underline solid 5px #e03131;
}

.coffee-contents {
    margin: 0 30%;
    width: 100%;
}

.parent {
    position: relative;
    width: 800px;
    height: 400px;
    margin: 70px auto;
}

.lady img {
    position: absolute;
    width: 400px;
    height: 300px;
    top: 0;
    left: 0;
}

.lady-back img {
    position: absolute;
    width: 400px;
    height: 300px;
    top: 150px;
    left: 350px;
    z-index: -1;
}

.cup img {
    position: absolute;
    width: 40%;
    height: 30%;
    top: 300%;
    left: 45%;
    display: flex;
    z-index: -1;
}

.explanation {
    display: flex;
    flex-wrap: wrap;
    margin: 20px auto;
    width: 50%;
    word-break: break-all;
    letter-spacing: 0.3em;
}

.red {
    position: relative;
    background-color:  #e03131;
    width: 150px;
    height: 40px;
    color: white;
    left: 45%;
    text-align: center;
    padding-top: 8px;
    margin-bottom: 100px;
}

.red:hover {
    background-color:  #ffffff;
    color: #e03131;
    border: solid #e03131 2px;
    transition: 0.7s;
    letter-spacing: 2px;
}

#access {
    background-image: url(../img/access.jpg);
    background-size: cover;
    text-align: center;
    background-attachment: fixed;
    color: white;
    font-size: 100px;
    padding: 40px 0;
}

.store {
    font-size: 30px;
    text-align: center;
    padding: 80px 50% 50px 47%;
    text-decoration: underline solid 5px #e03131;
}

.sub {
    padding: 150px 0 50px 0;
}

iframe {
    position: relative;
    width: 800px;
    height: 350px;
    margin: 0 25% 10px 25%;
    filter: grayscale(100%);
}

.page {
    padding-top: 5px;
    padding-left: 370px;
}

.chair {
    background-attachment: fixed;
}

.address {
    position: absolute;
    padding-right: 30%;
}

#contact {
    background-image: url(../img/contact.jpg);
    background-size: cover;
    text-align: center;
    background-attachment: fixed;
    color: white;
    font-size: 100px;
    padding: 40px 0;
}

form {
    position: relative;
    text-align: center;
    left: 18%;
}

label { 
    font-weight: bold;
    display: block;
    cursor: default;
    margin: 10px;
}

.name, .mail, .contact {
    width: 100%;
    height: 25px;
    border: 1px solid black;
}

#message {
    width: 100%;
    height: 75px;
    border: 1px solid black;
}

select {
    display: inline-block;
    text-align: center;
}

.submit {
    width: 500px;
    padding: 15px 60px;
    border: 2px solid #000000;
    background-color: #e03131;
    color: #ffffff;
    margin: 30px 0 50px 0;
}

.submit:hover {
    border: 2px solid #000000;
    background-color: #ffffff;
    color: #e03131;
    transition: 0.7s;
}

.submit:active {
    border: 2px solid #e03131;
    background-color: #e03131;
    color: #ffffff;
    transition: 0;
    position: relative;
    top: 2px;
}

footer {
    position: relative;
    text-align: center;
    padding-bottom: 10px;
}

.sp-menu {
    display: none;
}

@media screen and (max-width: 481px) {
    h1 {
        width: 100%;
    }
    
    h1 img {
        width: 100%;
    }

    .pc-menu {
        display: none;
    }

    .sp-menu {
        display: block;
        line-height: 200%;
        margin: 10% 0 30% 0;
    }

    .sp-menu h3 {
        padding-bottom: 10px;
        text-align: center;
        text-decoration: underline solid 5px #e03131;
    }

    .coffee-sub {
        padding: 10% 65% 0 35%;
    }

    .parent {
        width: 100%;
        height: 300px;
        margin: 30px 0;
    }

    .store {
        display: inline;
        margin  : 80px 0 50px 0;
        padding: 10% 0 20% 40%;
    }

    #access {
        background-attachment: scroll;
        font-size: 70px;
        margin-bottom: 15%;
    }

    #contact {
        background-attachment: scroll;
        font-size: 70px;
    }

    .lady img {
        position: absolute;
        width: 250px;
        height: 150px;
        top: 0;
        left: 0;
    }

    .lady-back img {
        width: 250px;
        height: 150px;
        top: 100px;
        left: 20%;
    }

    .explanation {
        display: block;
        padding: 5% 16px 10% 16px;
        width: 100%;
        writing-mode: horizontal-tb;
    }

    .red {
        left: 30%;
    }

    iframe {
        width: 100%;
        margin: 10% 0 10px 0;
    }

    .page {
        padding-left: 0px;
    }

    .submit {
        width: 100%;
    }
    
    .coffee-contents {
        margin: 0;
    }

    form {
        left: 0;
    }

    body {
        padding: 0;
    }

    #menu {
        background-attachment: scroll;
    }

    #about {
        background-attachment: scroll;
    }

}